diff -r -u otp_src_R14B01/erts/emulator/beam/beam_debug.c otp_src_R14B01.t2bfix/erts/emulator/beam/beam_debug.c
--- otp_src_R14B01/erts/emulator/beam/beam_debug.c	2010-12-07 08:07:22.000000000 -0700
+++ otp_src_R14B01.t2bfix/erts/emulator/beam/beam_debug.c	2011-03-08 11:26:18.000000000 -0700
@@ -249,7 +249,7 @@
 		   "unknown " HEXF "\n", instr);
 	code_ptr++;
     }
-    bin = new_binary(p, (byte *) dsbufp->str, (int) dsbufp->str_len);
+    bin = new_binary(p, (byte *) dsbufp->str, dsbufp->str_len);
     erts_destroy_tmp_dsbuf(dsbufp);
     hsz = 4+4;
     (void) erts_bld_uword(NULL, &hsz, (BeamInstr) code_ptr);
Only in otp_src_R14B01.t2bfix/erts/emulator/beam: beam_debug.c.orig
diff -r -u otp_src_R14B01/erts/emulator/beam/binary.c otp_src_R14B01.t2bfix/erts/emulator/beam/binary.c
--- otp_src_R14B01/erts/emulator/beam/binary.c	2010-12-07 08:07:22.000000000 -0700
+++ otp_src_R14B01.t2bfix/erts/emulator/beam/binary.c	2011-03-08 11:26:18.000000000 -0700
@@ -56,7 +56,7 @@
  */
 
 Eterm
-new_binary(Process *p, byte *buf, int len)
+new_binary(Process *p, byte *buf, Uint len)
 {
     ProcBin* pb;
     Binary* bptr;
diff -r -u otp_src_R14B01/erts/emulator/beam/erl_bif_info.c otp_src_R14B01.t2bfix/erts/emulator/beam/erl_bif_info.c
--- otp_src_R14B01/erts/emulator/beam/erl_bif_info.c	2010-12-07 08:07:22.000000000 -0700
+++ otp_src_R14B01.t2bfix/erts/emulator/beam/erl_bif_info.c	2011-03-08 11:26:18.000000000 -0700
@@ -1545,7 +1545,7 @@
     case am_backtrace: {
 	erts_dsprintf_buf_t *dsbufp = erts_create_tmp_dsbuf(0);
 	erts_stack_dump(ERTS_PRINT_DSBUF, (void *) dsbufp, rp);
-	res = new_binary(BIF_P, (byte *) dsbufp->str, (int) dsbufp->str_len);
+	res = new_binary(BIF_P, (byte *) dsbufp->str, dsbufp->str_len);
 	erts_destroy_tmp_dsbuf(dsbufp);
 	hp = HAlloc(BIF_P, 3);
 	break;
@@ -2074,7 +2074,7 @@
 	erts_smp_proc_lock(BIF_P, ERTS_PROC_LOCK_MAIN);
 
 	ASSERT(dsbufp && dsbufp->str);
-	res = new_binary(BIF_P, (byte *) dsbufp->str, (int) dsbufp->str_len);
+	res = new_binary(BIF_P, (byte *) dsbufp->str, dsbufp->str_len);
 	erts_destroy_info_dsbuf(dsbufp);
 	BIF_RET(res);
     } else if (ERTS_IS_ATOM_STR("dist_ctrl", BIF_ARG_1)) {
diff -r -u otp_src_R14B01/erts/emulator/beam/erl_db_util.c otp_src_R14B01.t2bfix/erts/emulator/beam/erl_db_util.c
--- otp_src_R14B01/erts/emulator/beam/erl_db_util.c	2010-12-07 08:07:22.000000000 -0700
+++ otp_src_R14B01.t2bfix/erts/emulator/beam/erl_db_util.c	2011-03-08 11:26:45.000000000 -0700
@@ -2012,7 +2012,7 @@
 	case matchProcessDump: {
 	    erts_dsprintf_buf_t *dsbufp = erts_create_tmp_dsbuf(0);
 	    print_process_info(ERTS_PRINT_DSBUF, (void *) dsbufp, c_p);
-	    *esp++ = new_binary(psp, (byte *)dsbufp->str, (int)dsbufp->str_len);
+	    *esp++ = new_binary(psp, (byte *)dsbufp->str, dsbufp->str_len);
 	    erts_destroy_tmp_dsbuf(dsbufp);
 	    break;
 	}
Only in otp_src_R14B01.t2bfix/erts/emulator/beam: erl_db_util.c.orig
Only in otp_src_R14B01.t2bfix/erts/emulator/beam: erl_db_util.c.rej
diff -r -u otp_src_R14B01/erts/emulator/beam/external.c otp_src_R14B01.t2bfix/erts/emulator/beam/external.c
--- otp_src_R14B01/erts/emulator/beam/external.c	2010-12-07 08:07:22.000000000 -0700
+++ otp_src_R14B01.t2bfix/erts/emulator/beam/external.c	2011-03-08 11:26:18.000000000 -0700
@@ -1264,7 +1264,7 @@
 Eterm
 erts_term_to_binary(Process* p, Eterm Term, int level, Uint flags)
 {
-    int size;
+    Uint size;
     Eterm bin;
     size_t real_size;
     byte* endp;
diff -r -u otp_src_R14B01/erts/emulator/beam/global.h otp_src_R14B01.t2bfix/erts/emulator/beam/global.h
--- otp_src_R14B01/erts/emulator/beam/global.h	2010-12-07 08:07:22.000000000 -0700
+++ otp_src_R14B01.t2bfix/erts/emulator/beam/global.h	2011-03-08 11:26:18.000000000 -0700
@@ -834,7 +834,7 @@
 void erts_emasculate_writable_binary(ProcBin* pb);
 Eterm erts_new_heap_binary(Process *p, byte *buf, int len, byte** datap);
 Eterm erts_new_mso_binary(Process*, byte*, int);
-Eterm new_binary(Process*, byte*, int);
+Eterm new_binary(Process*, byte*, Uint);
 Eterm erts_realloc_binary(Eterm bin, size_t size);
 
 /* erl_bif_info.c */
